# Handler

Provides simple HTTP file server

## Installation

```bash
go install git.thirdage.dev/night/handler@latest
```


## Examples

Calling without any arguments defaults to serving `./` at `0.0.0.0:8080`

```bash
./handler
```

### Changing default settings

- `a` sets ip address
- `p` sets port
- `d` sets directory to serve

```bash
./handler -a 127.0.0.1 -p 3000 -d ./foo/bar
```